> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization integrations

> Use endpoints in Integrations Webservice instead



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/org/getOrgIntegrations
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/org/getOrgIntegrations:
    post:
      tags:
        - Org Webservice
      summary: Get organization integrations
      description: Use endpoints in Integrations Webservice instead
      operationId: DEPRECATED_getOrgIntegrations
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Org_GetOrgIntegrationsWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Org_GetOrgIntegrationsWSResponse'
          description: OK
      deprecated: true
components:
  schemas:
    Org_GetOrgIntegrationsWSRequest:
      type: object
      description: >-
        Request object for getting organization integrations (deprecated, use
        integration package).
    Org_GetOrgIntegrationsWSResponse:
      type: object
      description: >-
        Response object containing organization integrations (deprecated, use
        integration package).
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        orgIntegrations:
          $ref: '#/components/schemas/OrgIntegrationsType'
        warningMsg:
          type: string
          nullable: true
    OrgIntegrationsType:
      type: object
      description: Organization integrations configuration and settings
      properties:
        amtSettings:
          $ref: '#/components/schemas/AmtSettings'
        awsSettings:
          $ref: '#/components/schemas/AwsSettings'
        backblazeSettings:
          $ref: '#/components/schemas/BackblazeSettings'
        boxSettings:
          $ref: '#/components/schemas/BoxSettings'
        brivoSettings:
          $ref: '#/components/schemas/BrivoSettings'
        butterflymxSettings:
          $ref: '#/components/schemas/ButterflyMXSettings'
        diceSettings:
          $ref: '#/components/schemas/DiceSettings'
        dropboxSettingsV2:
          $ref: '#/components/schemas/DropboxSettingsV2'
        emailSettings:
          $ref: '#/components/schemas/EmailSettings'
        envoySettings:
          $ref: '#/components/schemas/EnvoySettings'
        geneaSettings:
          $ref: '#/components/schemas/GeneaSettings'
        googleSettings:
          $ref: '#/components/schemas/GoogleSettings'
        googleSettingsV2:
          $ref: '#/components/schemas/GoogleSettingsV2'
        haloSettings:
          $ref: '#/components/schemas/HaloSettings'
        immixSettings:
          $ref: '#/components/schemas/ImmixSettings'
        intuifaceSettings:
          $ref: '#/components/schemas/IntuifaceSettings'
        kisiSettings:
          $ref: '#/components/schemas/KisiSettings'
        lumeoSettings:
          $ref: '#/components/schemas/LumeoSettings'
        mattermostSettings:
          $ref: '#/components/schemas/MattermostSettings'
        microsoftTeamsSettings:
          $ref: '#/components/schemas/MicrosoftTeamsSettings'
        noonlightSettings:
          $ref: '#/components/schemas/NoonlightSettings'
        office365Settings:
          $ref: '#/components/schemas/Office365Settings'
        openpathSettings:
          $ref: '#/components/schemas/OpenpathSettings'
        opentechAllianceSettings:
          $ref: '#/components/schemas/OpentechAllianceSettings'
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        pagerDutySettings:
          $ref: '#/components/schemas/PagerDutySettings'
        placeOsSettings:
          $ref: '#/components/schemas/PlaceOsSettings'
        proDataKeySettings:
          $ref: '#/components/schemas/ProDataKeySettings'
        saltoSettings:
          $ref: '#/components/schemas/SaltoSettings'
        serviceNowSettings:
          $ref: '#/components/schemas/ServiceNowSettings'
        slackSettings:
          $ref: '#/components/schemas/SlackSettings'
        slackSettingsV2:
          $ref: '#/components/schemas/SlackSettingsV2'
        squareSettings:
          $ref: '#/components/schemas/SquareSettings'
        toastSettings:
          $ref: '#/components/schemas/ToastSettings'
        tpLinkSettings:
          $ref: '#/components/schemas/TPLinkSettings'
        tritonSettings:
          $ref: '#/components/schemas/TritonSettings'
        twilioSettings:
          $ref: '#/components/schemas/TwilioSettings'
        webhookSettings:
          $ref: '#/components/schemas/WebhookSettings'
    AmtSettings:
      type: object
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        email:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        password:
          type: string
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        webhookId:
          type: integer
          format: int32
          nullable: true
        webhookSignatureSecret:
          type: string
          nullable: true
    AwsSettings:
      type: object
      properties:
        accessKey:
          type: string
          nullable: true
        bucketName:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        secretKey:
          type: string
          nullable: true
    BackblazeSettings:
      type: object
      properties:
        applicationKey:
          type: string
          nullable: true
        applicationKeyId:
          type: string
          nullable: true
        bucketName:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
    BoxSettings:
      type: object
      description: Box file storage integration settings to update
      properties:
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        enterpriseId:
          type: string
          nullable: true
        folderId:
          type: string
          nullable: true
    BrivoSettings:
      type: object
      properties:
        accessToken:
          type: string
          nullable: true
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        clientId:
          type: string
          nullable: true
        clientSecret:
          type: string
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        doorToCameraMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          nullable: true
          writeOnly: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        migrated:
          type: boolean
          nullable: true
        password:
          type: string
          nullable: true
        refreshToken:
          type: string
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        username:
          type: string
          nullable: true
        webhookId:
          type: integer
          format: int32
          nullable: true
    ButterflyMXSettings:
      type: object
      properties:
        buildingWebhookIdMap:
          type: object
          additionalProperties:
            type: string
            description: 'A HashMap of <ButterflyMx Building Id, Webhook Id>. '
            nullable: true
          description: 'A HashMap of <ButterflyMx Building Id, Webhook Id>. '
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        indexFaces:
          type: boolean
          nullable: true
        migrated:
          type: boolean
          nullable: true
        panelInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ButterflymxPanelInfoType'
          description: A HashMap of <Panel Id, ButterflymxPanelInfoType>.
          nullable: true
        refreshToken:
          type: string
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
    DiceSettings:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    DropboxSettingsV2:
      type: object
      description: Dropbox integration settings to update
      properties:
        accessToken:
          type: string
          nullable: true
        accountEmail:
          type: string
          nullable: true
        accountName:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    EmailSettings:
      type: object
      properties:
        emailAddresses:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    EnvoySettings:
      type: object
      description: Envoy visitor management integration settings to update
      properties:
        createSeekPoints:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        envoyIntegrationInstalled:
          type: boolean
          nullable: true
        indexFaces:
          type: boolean
          nullable: true
        locationInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/EnvoyLocationInfoType'
          nullable: true
        migrated:
          type: boolean
          nullable: true
        refreshToken:
          type: string
          nullable: true
        saveClips:
          type: boolean
          nullable: true
    GeneaSettings:
      type: object
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        apiToken:
          type: string
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        migrated:
          type: boolean
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        webhookSignatureSecret:
          type: string
          nullable: true
        webhookUuid:
          type: string
          nullable: true
    GoogleSettings:
      type: object
      description: Google integration settings to update
      properties:
        accountUser:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        folderId:
          type: string
          nullable: true
        teamDriveId:
          type: string
          nullable: true
    GoogleSettingsV2:
      type: object
      properties:
        defaultAlertFolderId:
          type: string
          nullable: true
        defaultAlertFolderName:
          type: string
          nullable: true
        defaultFolderId:
          type: string
          nullable: true
        defaultFolderName:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        refreshToken:
          type: string
          nullable: true
        saveAllAlerts:
          type: boolean
          nullable: true
        saveClips:
          type: boolean
          nullable: true
    HaloSettings:
      type: object
      properties:
        alertAgression:
          type: boolean
          nullable: true
        alertCO:
          type: boolean
          nullable: true
        alertCO2:
          type: boolean
          nullable: true
        alertGunshot:
          type: boolean
          nullable: true
        alertHelp:
          type: boolean
          nullable: true
        alertMasking:
          type: boolean
          nullable: true
        alertTHC:
          type: boolean
          nullable: true
        alertTamper:
          type: boolean
          nullable: true
        alertTemp:
          type: boolean
          nullable: true
        alertVOC:
          type: boolean
          nullable: true
        alertVape:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        savedClipDurationMs:
          type: integer
          format: int32
          nullable: true
        sensorName:
          type: string
          nullable: true
        sensorToCamerasMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          nullable: true
        triggerNotification:
          type: boolean
          nullable: true
        url:
          type: string
          nullable: true
    ImmixSettings:
      type: object
      properties:
        deviceList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        enabled:
          type: boolean
          nullable: true
        serverUrl:
          type: string
          nullable: true
    IntuifaceSettings:
      type: object
      properties:
        deviceToTriggerMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/TriggerContent'
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    KisiSettings:
      type: object
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        apiSecretKey:
          type: string
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        defaultOptions:
          $ref: '#/components/schemas/BadgeIntegrationDefaultOptions'
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        doorToCameraMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          nullable: true
        doorsValidated:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        migrated:
          type: boolean
          nullable: true
        placeId:
          type: integer
          format: int32
          nullable: true
        placeToSettingsMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationSettings'
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        webhookId:
          type: integer
          format: int32
          nullable: true
    LumeoSettings:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    MattermostSettings:
      type: object
      properties:
        channel:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        webhookUrl:
          type: string
          nullable: true
    MicrosoftTeamsSettings:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        webhookUrl:
          type: string
          nullable: true
    NoonlightSettings:
      type: object
      properties:
        acceptedTermsOfService:
          type: boolean
          nullable: true
        defaultContactsByLocationMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/EmergencyContact'
          nullable: true
        defaultDelayByLocationsMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        defaultPromptByLocationsMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/NoonlightPromptThemeEnum'
          nullable: true
        emergencyContactsByLocationsMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/EmergencyResponseContactsIntervalType'
            nullable: true
          nullable: true
        enabled:
          type: boolean
          nullable: true
        escalationSettingsByLocationsMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/AlertMonitoringSubmissionDelayIntervalType'
            nullable: true
          nullable: true
        locationEntryInstructionsMap:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        pinsByLocationMap:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/AlertMonitoringPinType'
            nullable: true
            uniqueItems: true
          nullable: true
        verificationPrompt:
          type: string
          nullable: true
    Office365Settings:
      type: object
      description: Office 365 integration settings to update
      properties:
        driveId:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        tenantId:
          type: string
          nullable: true
    OpenpathSettings:
      type: object
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        doorToCameraMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          nullable: true
        email:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        eventToWebhookIdMap:
          type: object
          additionalProperties:
            type: integer
            format: int32
            nullable: true
          nullable: true
        eventToWebhookMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/WebhookMapEntry'
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        migrated:
          type: boolean
          nullable: true
        password:
          type: string
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        webhookId:
          type: integer
          format: int32
          nullable: true
    OpentechAllianceSettings:
      type: object
      properties:
        apiKey:
          type: string
          nullable: true
        apiSecret:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        facilityToSettingsMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/OpentechAllianceFacilitySettings'
          nullable: true
        migrated:
          type: boolean
          nullable: true
    PagerDutySettings:
      type: object
      properties:
        allLocationIntegrationKeys:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        integrationKey:
          type: string
          nullable: true
        locationToIntegrationKeysMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              nullable: true
            nullable: true
          nullable: true
    PlaceOsSettings:
      type: object
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        apiUrl:
          type: string
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        migrated:
          type: boolean
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        webhookSignatureSecret:
          type: string
          nullable: true
    ProDataKeySettings:
      type: object
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        badgeAuthDisablesAlarmMonitoring:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        doorsValidated:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        misconfiguredDoors:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        ouId:
          type: string
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        webhookId:
          type: string
          nullable: true
        webhookSignatureSecret:
          type: string
          nullable: true
    SaltoSettings:
      type: object
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        tokenToCamerasMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          nullable: true
    ServiceNowSettings:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        instanceUrl:
          type: string
          nullable: true
        password:
          type: string
          nullable: true
        username:
          type: string
          nullable: true
    SlackSettings:
      type: object
      properties:
        accessToken:
          type: string
          nullable: true
        channel:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        webhookUrl:
          type: string
          nullable: true
    SlackSettingsV2:
      type: object
      properties:
        channelId:
          type: string
          nullable: true
        channelName:
          type: string
          nullable: true
        code:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        orgAccessToken:
          type: string
          nullable: true
        sendChannelNotifications:
          type: boolean
          nullable: true
        sendUserNotifications:
          type: boolean
          nullable: true
        userMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/UserInfo'
          description: >-
            A HashMap of <RhombusOrgUser uuid : Slack user uuid, user access
            token>. This stores the information for each Slack user.
          nullable: true
        webhookUrl:
          type: string
          nullable: true
    SquareSettings:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: true
        locationIdToDeviceUuidsMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          nullable: true
    ToastSettings:
      type: object
      description: Toast POS integration settings to update
      properties:
        currentToastRestaurantGuid:
          type: string
          description: The current restaurant guid you want to use
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        migrated:
          type: boolean
          nullable: true
        posInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PosIntegrationInfoType'
          description: >-
            A HashMap of <Service Area Guid, PosIntegrationInfoType>. This
            stores the Pos Information and assigned cameras.
          nullable: true
        toastRestaurantInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ToastRestaurantInfo'
          description: >-
            A HashMap of <Restaurant Guid, ToastRestaurantInfo>. This stores the
            information for each restaurant.
          nullable: true
    TPLinkSettings:
      type: object
      properties:
        cameraToSwitchMap:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        enabled:
          type: boolean
          nullable: true
        password:
          type: string
          nullable: true
        targetState:
          type: integer
          format: int32
          nullable: true
        url:
          type: string
          nullable: true
        username:
          type: string
          nullable: true
    TritonSettings:
      type: object
      properties:
        alertAggression:
          type: boolean
          nullable: true
        alertCO:
          type: boolean
          nullable: true
        alertCO2:
          type: boolean
          nullable: true
        alertGunshot:
          type: boolean
          nullable: true
        alertHelp:
          type: boolean
          nullable: true
        alertMasking:
          type: boolean
          nullable: true
        alertTHC:
          type: boolean
          nullable: true
        alertTamper:
          type: boolean
          nullable: true
        alertVOC:
          type: boolean
          nullable: true
        alertVape:
          type: boolean
          nullable: true
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        savedClipDurationMs:
          type: integer
          format: int32
          nullable: true
        sensorToCamerasMap:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            nullable: true
          nullable: true
        triggerNotification:
          type: boolean
          nullable: true
        url:
          type: string
          nullable: true
    TwilioSettings:
      type: object
      properties:
        enabled:
          type: boolean
          nullable: true
        phoneNumbers:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
    WebhookSettings:
      type: object
      description: Webhook integration settings to update
      properties:
        enabled:
          type: boolean
          nullable: true
        enabledTimestampMs:
          type: integer
          format: int64
          nullable: true
        enablingUser:
          type: string
          nullable: true
        enablingUserUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        webhookSecret:
          type: string
          nullable: true
        webhookUrl:
          type: string
          nullable: true
    BadgeIntegrationDoorInfoType:
      type: object
      nullable: true
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        clipDuration:
          type: integer
          format: int32
          nullable: true
        doorName:
          type: string
          nullable: true
        leadingSeconds:
          type: integer
          format: int32
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        remoteUnlock:
          type: boolean
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    ButterflymxPanelInfoType:
      type: object
      description: A HashMap of <Panel Id, ButterflymxPanelInfoType>.
      nullable: true
      properties:
        assignedCameraList:
          type: array
          description: The list of Rhombus Camera RUUIDs.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        buildingId:
          type: integer
          format: int32
          description: The ButterflyMx Building Id.
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        panelName:
          type: string
          description: The ButterflyMx Panel Name.
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
    EnvoyLocationInfoType:
      type: object
      nullable: true
      properties:
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        locationName:
          type: string
          nullable: true
    TriggerContent:
      type: object
      properties:
        apiKey:
          type: string
          nullable: true
        experienceIds:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        experienceNames:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        message:
          type: string
          nullable: true
        parameter1:
          type: string
          nullable: true
        parameter2:
          type: string
          nullable: true
        parameter3:
          type: string
          nullable: true
        playerDeviceNames:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        playerIds:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        playerTags:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
    BadgeIntegrationDefaultOptions:
      type: object
      nullable: true
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        badgeAuthDisablesAlarmMonitoring:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        defaultOptionsEnabled:
          type: boolean
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        saveClips:
          type: boolean
          nullable: true
    BadgeIntegrationSettings:
      type: object
      nullable: true
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        badgeAuthDisablesAlarmMonitoring:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/BadgeIntegrationDoorInfoType'
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        misconfiguredDoors:
          type: array
          items:
            type: integer
            format: int32
            nullable: true
          nullable: true
        placeId:
          type: integer
          format: int32
          nullable: true
        placeName:
          type: string
          nullable: true
        rhombusToken:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        saveClips:
          type: boolean
          nullable: true
        webhookId:
          type: integer
          format: int32
          nullable: true
    EmergencyContact:
      type: object
      properties:
        name:
          type: string
          description: The name of the emergency contact.
          nullable: true
        phoneNumber:
          type: string
          description: The phone number for this emergency contact.
          nullable: true
      required:
        - name
        - phoneNumber
    NoonlightPromptThemeEnum:
      type: string
      enum:
        - THREAT
        - HUMAN
    EmergencyResponseContactsIntervalType:
      type: object
      properties:
        emergencyContactList:
          type: array
          items:
            $ref: '#/components/schemas/EmergencyContact'
          nullable: true
        minuteOfWeekStart:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStop:
          type: integer
          format: int32
          nullable: true
    AlertMonitoringSubmissionDelayIntervalType:
      type: object
      properties:
        escalationDelayMinutes:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStart:
          type: integer
          format: int32
          nullable: true
        minuteOfWeekStop:
          type: integer
          format: int32
          nullable: true
        promptTheme:
          $ref: '#/components/schemas/NoonlightPromptThemeEnum'
    AlertMonitoringPinType:
      type: object
      properties:
        description:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        pin:
          type: string
          nullable: true
    WebhookMapEntry:
      type: object
      nullable: true
      properties:
        orgId:
          type: integer
          format: int32
          nullable: true
        webhookId:
          type: integer
          format: int32
          nullable: true
    OpentechAllianceFacilitySettings:
      type: object
      nullable: true
      properties:
        alertUnauthorizedFaces:
          type: boolean
          nullable: true
        createSeekPoints:
          type: boolean
          nullable: true
        doorInfoMap:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/OpentechAllianceDoorInfoType'
          nullable: true
        identifyFacesFromBadge:
          type: boolean
          nullable: true
        saveClips:
          type: boolean
          nullable: true
    UserInfo:
      type: object
      description: >-
        A HashMap of <RhombusOrgUser uuid : Slack user uuid, user access token>.
        This stores the information for each Slack user.
      properties:
        userAccessToken:
          type: string
          description: Slack user access token
          nullable: true
        userId:
          type: string
          description: Slack user uuid
          nullable: true
    PosIntegrationInfoType:
      type: object
      description: >-
        A HashMap of <Service Area Guid, PosIntegrationInfoType>. This stores
        the Pos Information and assigned cameras.
      properties:
        assignedCameraList:
          type: array
          description: >-
            A list of camera guids from Rhombus that are assigned to the Pos
            device.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        posName:
          type: string
          description: The name of the Pos device.
          nullable: true
    ToastRestaurantInfo:
      type: object
      description: >-
        A HashMap of <Restaurant Guid, ToastRestaurantInfo>. This stores the
        information for each restaurant.
      properties:
        locationName:
          type: string
          description: The location name of the restaurant from Toast
          nullable: true
        restaurantName:
          type: string
          description: The name of the restaurant from Toast. e.g., COFFEE CAN
          nullable: true
    OpentechAllianceDoorInfoType:
      type: object
      nullable: true
      properties:
        actionGroupId:
          type: string
          nullable: true
        assignedCameraList:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        clipDuration:
          type: integer
          format: int32
          nullable: true
        doorName:
          type: string
          nullable: true
        leadingSeconds:
          type: integer
          format: int32
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        remoteUnlock:
          type: boolean
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````